For the complete documentation index, see llms.txt. This page is also available as Markdown.

CEX Bot

Get all CEX signal bots

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of user's CEX signal bots

application/json
CexSignalBot[]Optional
get/api/v2/bot/signal/cex
GET /api/v2/bot/signal/cex HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of user's CEX signal bots

[]

Create a new CEX signal bot

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
namestringOptional

The name of the bot max 255 characters

Example: My bot
folder_idnumberOptional

The folder id of the bot

Example: 12
webhook_idnumberRequired

The id of a bot webhook

Example: 1
api_idnumberRequired

The id of a bot CEX API key

Example: 2
symbolstringRequired

The symbol of the bot

Example: BTCUSDT
pair_basestringOptional

The base currency of the pair (On ALPACA not required)

Example: BTC
pair_quotestringOptional

The quote currency of the pair (On ALPACA not required)

Example: USDT
amount_from_signalbooleanRequired

Set if amount is coming from signal

Example: false
amountnumberOptional

The amount to trade (if amount_from_signal is false)

Example: 150
is_quotebooleanOptional

Set if the amount is in quote currency

Example: true
delaynumberOptional

Set how often the bot will check for new signals. eg. 10 means 10 in 1 second

Example: 10
Responses
201

CEX signal bot created successfully

application/json
anyOptional
post/api/v2/bot/signal/cex
POST /api/v2/bot/signal/cex HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 186

{
  "name": "My bot",
  "folder_id": 12,
  "webhook_id": "1",
  "api_id": "2",
  "symbol": "BTCUSDT",
  "pair_base": "BTC",
  "pair_quote": "USDT",
  "amount_from_signal": false,
  "amount": 150,
  "is_quote": true,
  "delay": 10
}

No content

Get the total number of CEX signal bots

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

Total number of CEX signal bots

application/json
totalnumberOptionalExample: 10
get/api/v2/bot/signal/cex/total
GET /api/v2/bot/signal/cex/total HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

Total number of CEX signal bots

{
  "total": 10
}

Get CEX signal bot by ID

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

CEX signal bot details

application/json
anyOptional
get/api/v2/bot/signal/cex/{id}
GET /api/v2/bot/signal/cex/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Update CEX signal bot

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
namestringOptional

The name of the bot max 255 characters

Example: My bot
folder_idnumberOptional

The folder id of the bot

Example: 12
webhook_idnumberRequired

The id of a bot webhook

Example: 1
api_idnumberRequired

The id of a bot CEX API key

Example: 2
symbolstringRequired

The symbol of the bot

Example: BTCUSDT
pair_basestringOptional

The base currency of the pair (On ALPACA not required)

Example: BTC
pair_quotestringOptional

The quote currency of the pair (On ALPACA not required)

Example: USDT
amount_from_signalbooleanRequired

Set if amount is coming from signal

Example: false
amountnumberOptional

The amount to trade (if amount_from_signal is false)

Example: 150
is_quotebooleanOptional

Set if the amount is in quote currency

Example: true
delaynumberOptional

Set how often the bot will check for new signals. eg. 10 means 10 in 1 second

Example: 10
Responses
200

CEX signal bot updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/bot/signal/cex/{id}
PUT /api/v2/bot/signal/cex/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 186

{
  "name": "My bot",
  "folder_id": 12,
  "webhook_id": "1",
  "api_id": "2",
  "symbol": "BTCUSDT",
  "pair_base": "BTC",
  "pair_quote": "USDT",
  "amount_from_signal": false,
  "amount": 150,
  "is_quote": true,
  "delay": 10
}
{
  "message": "Success"
}

Delete CEX signal bot

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

CEX signal bot deleted successfully

application/json
messagestringOptionalExample: Success
delete/api/v2/bot/signal/cex/{id}
DELETE /api/v2/bot/signal/cex/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
  "message": "Success"
}

Update CEX signal bot status

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
statusstring · enumRequiredExample: ACTIVEPossible values:
Responses
200

Status updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/bot/signal/cex/{id}/status
PUT /api/v2/bot/signal/cex/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "status": "ACTIVE"
}
{
  "message": "Success"
}

Duplicate a CEX signal bot

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
idstringRequired

Bot ID to duplicate

Responses
201

CEX signal bot duplicated successfully

application/json
anyOptional
post/api/v2/bot/signal/cex/duplicate
POST /api/v2/bot/signal/cex/duplicate HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "id": "text"
}

No content

Last updated